const { gql } = require('apollo-server-express');

module.exports = gql`

    type Agent {
        id: ID!
        userId: String!
        matricule: String
        civilite: String!
        nom: String!
        prenom: String!
        sexe: String!
        phoneNumber: String!
        email: String
        securiteSocial: String
        avatar: String
        status: Int!
        createdAt: DateTime
        updatedAt: DateTime
        deletedAt: DateTime
        fonction: Fonction!
        institution: Institution
        departement: Departement
        adresse: Adresse!
        recettes: [Recette!]
    }

    extend type Query {
        findAllAgent: [Agent!]
        findAgent(agentId: String!): Agent
    }

    extend type Mutation {
        createAgent(input: inputAgent): createResponse
    }

    type inputAgent {
        userId: String!
        fonctionId: String!
        institutionId: String
        departementId: String
        matricule: String
        civilite: String!
        nom: String!
        prenom: String!
        sexe: String!
        phoneNumber: String!
        email: String
        securiteSocial: String
    }

    type createResponse {
        id: ID!
        userId: String!
        matricule: String
        civilite: String!
        nom: String!
        prenom: String!
        sexe: String!
        phoneNumber: String!
        email: String
        securiteSocial: String
        avatar: String
        status: Int!
        createdAt: DateTime
        updatedAt: DateTime
        deletedAt: DateTime
        fonction: Fonction!
        institution: Institution
        departement: Departement
        adresse: Adresse!
        recettes: [Recette!]
    }

`;